Resource Center/Hardware/Host Operations
POSTHost OperationsSince 4.7.0SynchronousAuth Required
CreateBonding
CreateBonding
Execution Availability
Try It Out
Submit a mock request using the current auth context and example-driven inputs.
Request Inputs
Body Fields
paramsObjectRequiredRequest body parameter object.
hostUuidsListRequiredThe host UUID list.
bondingNameStringRequiredThe bond name.
slaveUuidsListOptional. The slave interface UUIDs list.
slaveNamesListOptional. The slave interface name lise.
typeStringRequiredThe bond type.
modeStringRequiredThe bond mode.
xmitHashPolicyStringOptional. The hash policy.
descriptionStringOptional. The resource description.
resourceUuidStringOptional. The resource UUID.
tagUuidsListOptional. The tag UUID list.
systemTagsListOptional. The system tags.
userTagsListOptional. The user tags.
Responses
Endpoint
POST/zstack/v1/hosts/bondings
/zstack/v1/hosts/bondings
Request Example
curl -X POST 'http://{host}/zstack/v1/hosts/bondings' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"params":{"hostUuids":["<hostUuids>"],"bondingName":"<bondingName>","slaveUuids":["<slaveUuids>"],"slaveNames":["<slaveNames>"],"type":"<type>","mode":"<mode>","xmitHashPolicy":"<xmitHashPolicy>","description":"<description>","resourceUuid":"<resourceUuid>","tagUuids":["<tagUuids>"]},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'
Response Example
200{ "inventory": [ { "hostUuid": "ad58bd08605338648dce127f256f332e", "bondingName": "test", "mode": "802.3ad", "xmitHashPolicy": "layer2+3", "ipAddresses": [ "192.168.1.1" ], "type": "LinuxBonding", "slaves": [ { "uuid": "97e1e9fb0cd73af8bd3e84376e59fa26", "hostUuid": "ad58bd08605338648dce127f256f332e", "interfaceName": "eno1", "interfaceType": "bondingSlave", "speed": 1000, "slaveActive": true, "carrierActive": true, "createDate": "Nov 14, 2017 10:20:57 PM", "lastOpDate": "Nov 14, 2017 10:20:57 PM" } ] } ] }Change History
This API has no change history records yet.
